## qt3d-opensource-src 5.6.1+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.6.1+dfsg-1ubuntu1~1) yakkety; urgency=medium

  * New upstream release.
  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 06 Apr 2016 11:52:01 +0000

qt3d-opensource-src (5.6.1+dfsg-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump Standards-Version, no changes required.
  * Update symbols files with buildds' logs.
  * Update packaging:
    - Libs with "Renderer" changed it's name to to "Render". This changes
      SONAME but there are still no rdeps in the archive.
    - Documentation is now shipped under qt3d/.
    - libqt3d5collision5 is not shipped anymore.
    - Ship libqt3dquickinput5.
    - gltfsceneparser now has an auxiliary binary.
    - Regenerate symbols files for all libs. This makes handling both the
      SONAME change and the symbols's nodes changes easier. We still have no
      reverse dependencies to care for.
  * Use secure URLs for the repos.
  * Fix duplicated short description.
  * Update debian/copyright.

  [ Dmitry Shachnev ]
  * Add a patch to make the tests pass on big endian systems too.
    - Check the tests exit status on all architectures.
  * Exclude audio-visualizer-qml example from the tarball because it contains
    a non-free MP3 file (CC BY-ND 2.0).
    - Add qtmultimedia5-dev to Build-Conflicts to make sure that example is
      not built.
    - Tell uscan to repack the tarball.
  * Add some new symbols that appeared in 5.6.1.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 Jun 2016 19:13:49 +0300

qt3d-opensource-src (5.5.1-5) unstable; urgency=medium

  * Remove libqt5xcb5 from build dependencies. It is now part of libqt5gui5
    which is dragged in by qtbase5-dev (Closes: #817793).
  * Add qml-module-qtquick-scene3d as a qt3d5-examples' dependency, needed
    by qt3d's controls.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 10 Mar 2016 16:03:18 -0300

qt3d-opensource-src (5.5.1-4ubuntu4) yakkety; urgency=medium

  * Rebuild for arm64 gles switch.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 23 May 2016 06:41:32 +0000
