=== debian/control ===
Source: qt3d-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Timo Jyrinki <timo@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper (>= 9),
               libassimp-dev,
               libqt5opengl5-dev (>= 5.6.1+dfsg~),
               pkg-kde-tools,
               pkgconf,
               qtbase5-private-dev (>= 5.6.1+dfsg~),
               qtdeclarative5-private-dev (>= 5.6.1~),
               xauth,
               xvfb,
               zlib1g-dev
Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1+dfsg~),
                     qtbase5-doc-html (>= 5.6.1+dfsg~),
                     qtdeclarative5-doc-html (>= 5.6.1~),
                     qttools5-dev-tools (>= 5.6.1~)
Build-Conflicts: qtmultimedia5-dev
Standards-Version: 3.9.8
Homepage: http://qt-project.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qt3d.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qt3d.git

Package: libqt53dcore5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 3D module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Core module.

Package: libqt53dquick5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt53d5
Conflicts: libqt53d5
Description: Qt 3D Quick module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick module.

Package: libqt53dquickrender5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick Renderer module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick Renderer module.

Package: libqt53dinput5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Input module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Input module.

Package: libqt53drender5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Renderer module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Renderer module.

Package: libqt53dlogic5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D logic module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Logic module.

Package: libqt53dquickinput5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick input
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick input module.

Package: qt3d-gltfsceneparser-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D GL Transmission Format scene parser plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's GLTF scene parser plugin.

Package: qt3d-assimpsceneparser-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D GL Assimp scene parser plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's Assimp scene parser plugin.

Package: qtdeclarative5-qt3d-plugin
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-qt3d, ${misc:Depends}
Description: transitional dummy package for Qt 5 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional dummy package for qml-module-qt3d
 which can be safely removed.

Package: qml-module-qt3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 3D QML module.

Package: qml-module-qtquick-scene3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Scene 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Scene 3D QML module.

Package: qt3d5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         libqt53dinput5 (= ${binary:Version}),
         libqt53dquick5 (= ${binary:Version}),
         libqt53dquickinput5 (= ${binary:Version}),
         libqt53dquickrender5 (= ${binary:Version}),
         libqt53drender5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 3D development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt 3D library.

Package: qt3d5-examples
Architecture: any
Multi-Arch: same
Section: x11
Depends: qml-module-qtquick-scene3d, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 3d examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 3D examples.

Package: qt3d5-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: libqt53dcore5 (= ${binary:Version}), ${misc:Depends}
Suggests: qt3d5-examples (= ${binary:Version})
Description: Qt 3D library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 3D
 libraries.

Package: qt3d5-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 3D documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 3D libraries.

Package: qt3d5-doc-html
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 3D HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 3D libraries.
