=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,8 @@
 	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 
 override_dh_auto_test-arch:
-	xvfb-run -a -s "-screen 0 640x480x24" dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
+	# See 5.7.1+dfsg-1 changelog.
+	-xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
+	dh_auto_test --max-parallel=1 -- QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
 
 override_dh_auto_test-indep:
