## qt3d-opensource-src 5.9.1+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.9.1+dfsg-3) unstable; urgency=medium

  * Add missing dependencies to qt3d5-dev package (closes: #874786).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 12 Sep 2017 15:04:41 +0300

qt3d-opensource-src (5.9.1+dfsg-2) unstable; urgency=medium

  * Release to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 11:30:22 -0300

qt3d-opensource-src (5.9.1+dfsg-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
  * Add myself to Uploaders.
  * Add new upstream files to qt3d-gltfsceneio-plugin, making it contain
    all gltf-related files.
  * Qt 3D GL Assimp scene IO plugin was renamed upstream, adjust
    accordingly.
  * QTBUG-57543 was fixed, and we can ship the planets example now. Drop
    do_not_build_planets_example.patch.
  * Add the following packages from new upstream files:
    - qml-module-qtquick-scene2d
    - libqt53dquickscene2d5
    - libqt53danimation5
    - libqt53dquickanimation5
    - qt3d-defaultgeometryloader-plugin
    - qt3d-scene2d-plugin

  [ Dmitry Shachnev ]
  * Move qgltf executable to qt3d-gltfsceneio-plugin package.
  * Migrate to automatic dbgsym packages.
  * Update debian/copyright.
  * Update symbols files from the current amd64 build log.
  * Update the license for ConvertUTF code in debian/copyright according
    to upstream relicensing. Override the Lintian error about it.
  * Temporarily build with bundled Assimp. We cannot use the packaged
    Assimp because Qt 3D needs some changes which were added after v3.3.1.
  * Override false positive Lintian license-problem-json-evil error.
  * Bump Qt build-dependencies to 5.9.1.
  * Remove some non-free example assets from the tarball.
    - Disable code which was using them (nonfree_resources.diff).
  * Drop Build-Conflicts on qtmultimedia5-dev, not needed with this patch.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Backport a patch to fix Assimp build on big endian architectures
    (assimp_big_endian.diff).
  * Make qt3d5-examples depend on qml-module-qt3d (closes: #850470).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 16 Jul 2017 21:09:59 +0300

qt3d-opensource-src (5.7.1+dfsg-2) unstable; urgency=medium

  * Make qt3d5-dev Recommend qt3d5-doc[-html] (Closes: #849980).
    Thanks Ben Finney for the bug report.
  * Make libqt3d5-dev depend upon all the libraries shipped by the source
    package (Closes: #852524). Thanks Johannes Schauer for the bug report.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 25 Jan 2017 11:26:31 -0300
